function [deriv] = CSTR(t,var)
global k1o EA R U AH CAo row V Cp F To delHR Tjo Vj Cj rowj 
% This defines the function CSTR which has two input arguments which are:
% t and var and the output is the derivative of var, deriv.
% Since we have three ode's, we initialize dy as 3 by 1 matrix (i.e.,
CA=var(1);
T=var(2);
Tj=var(3);
deriv = zeros(3,1);
k1=k1o*exp((EA/R)*(1/350-1/T));
deriv(1) = (F/V)*(CAo-CA)-k1*CA;
if T<=373
    Fj=0.0;
    US=1.0e6;
    deriv(2) =(F/V)*(To-T) +(US*AH*(373.0-T))/(row*V*Cp)-(k1*CA*delHR)/(row*Cp);
    deriv(3)=0.0;
elseif T>373
    Fj=3.0;
    deriv(2) =(F/V)*(To-T) -(U*AH*(T-Tj))/(row*V*Cp)-(k1*CA*delHR)/(row*Cp);
    deriv(3)=(Fj/Vj)*(Tjo-Tj)+(U*AH*(T-Tj))/(rowj*Vj*Cj);
end
