clear all;
for index=1:2
myprompt2=['Enter the initial value for y:(',num2str(index),'): '];  
initialval(index)=input(myprompt2);
end
lower=input('Enter the lower limit for integration: ');
upper=input('Enter the higher limit for integration: ');
options = odeset('RelTol',1e-4,'AbsTol',1e-4);
[T,Y] = ode45(@example7_8,[lower upper],initialval,options);
Yanal=0.078762*(exp(3.0.*T)-exp(2.0.*T));
display(['t_final: ',num2str(T(end)),' y1_final: ',num2str(Y(end,1))]);
plot(T,Y(:,1),'k*',T,Y(:,2),'k.',T,Yanal,'k-','LineWidth',2)
hleg = legend('y1','y2','Yanal','Location','Best');
ylabel('\bf y value'),xlabel('\bf time, t');