function [ NumIntegRes ] = Trapezoid( lower,upper,numstep)
%The evaluation of the integrand between the lower and upper limit 
%using Trapezoid Rule.
ytemp2=input('Enter y as a function of x: ', 's');
ytempi=strrep(ytemp2,'*','.*');
ytempj=strrep(ytempi,'/','./');
ytemp3=strrep(ytempj,'^','.^');
ytemp4=inline(ytemp3,'x');
mysum=0.0;
hval=(upper-lower)/numstep;
fterm=0.5*hval*(ytemp4(lower)+ytemp4(upper));
for kind=1:1:numstep-1
serterm=hval*ytemp4(lower+kind*hval);
mysum=mysum+serterm;
end
NumIntegRes=mysum+fterm;
display(['The value of integration: ',num2str(NumIntegRes)]);
end



