clear all;
for index=1:3
myprompt2=['Enter the initial value for y:(',num2str(index),'): '];  
initialval(index)=input(myprompt2);
end
lower=input('Enter the lower limit for integration: ');
upper=input('Enter the higher limit for integration: ');
options = odeset('RelTol',1e-4,'AbsTol',1e-4);
[T,Y] = ode45(@multiode,[lower upper],initialval,options);
tf=T(end)
Y1_at_tf=Y(end,1)
Y2_at_tf=Y(end,2)
Y3_at_tf=Y(end,3)
plot(T,Y(:,1),'k-',T,Y(:,2),'k-.', ...
T,Y(:,3),'k.','LineWidth',2)
ylabel('\bf y value'),xlabel('\bf time, t');
hleg = legend('y1','y2','y3','Location','Best');