function dy = myodein
% This defines the function myode which has two input arguments which are:
% t and y and the output is the derivative of y, dy.
% Since we have only a single ode, we initialize dy as 1 by 1 matrix (i.e.,
% a column vector)dy = zeros(1,1);    % a column vector
clear all;
ytemp2=input('Enter the right hand side of dy/dt: ', 's');
ytempi=strrep(ytemp2,'*','.*');
ytempj=strrep(ytempi,'/','./');
ytemp3=strrep(ytempj,'^','.^');
ytemp4=inline(ytemp3,'t','y');
dy(1) = ytemp4; % Defining dy/dt=y
options = odeset('RelTol',1e-4,'AbsTol',1e-4);
lower=input('Enter the lower limit for integration: ');
upper=input('Enter the higher limit for integration: ');
initialval=input('Enter the initial value for y: ');
[T,Y] = ode45(dy,[lower upper],[initialval],options)
plot(T,Y,'k-','LineWidth',2);
get(gcf,'CurrentAxes');
h=gca;
set(h,'YGrid','on');
ylabel('\fontsize{14} \bf y value'),xlabel('\fontsize{14} \bf time, t');