clear all;
global k1o EA R U AH CAo row V Cp F To delHR Tjo Vj Cj rowj  
k1o=0.4;
EA=167360;
R=8.314; 
U=136800;
AH=12.0; 
CAo=20.0e+3;
row= 800.0;
V=4.0;
Cp=3500.0;
F=1.0;
To=298.0;
delHR=-30000;
Tjo=298.0;
Vj=0.4;
Cj=4184;
rowj=1000.0;
tf=2.0;
options = odeset('RelTol',1e-6,'AbsTol',[1e-6 1e-6 1e-6]);
% [t,var] = ode45(@CSTR,[0 tf],[20000 298 298],options);
[t,var] = ode15s(@CSTR,[0 tf],[20000 298 298],options);
CA = var(:,1);
T = var(:,2);
Tj = var(:,3);
subplot(311) % splits into four plots, selects plot 1 to draw in
plot (t,CA,'k.','LineWidth',3) % plots all rows column 1 of matrix c
get(gcf,'CurrentAxes');
h=gca;
set(h,'YGrid','on');
xlabel('\bf time, h'), ylabel(['\bf C_A',' mol/m^3']);
subplot (312) % advance to plot 2 and repeat
plot (t,T,'kx','LineWidth',2) % plots all rows column 2 of matrix c
get(gcf,'CurrentAxes');
h=gca;
set(h,'YGrid','on');
xlabel('\bf time, h'), ylabel('\bf T, K');
subplot(313)
plot (t,Tj,'k-','LineWidth',3) % plots all rows column 3 of matrix c
get(gcf,'CurrentAxes');
h=gca;
set(h,'YGrid','on');
xlabel('\bf time, h'), ylabel('\bf Tj, K');
display (['tfinal= ', num2str(t(end)),' hr','  CA_final=', ...
    num2str(CA(end)),' mol/m^3']) 
display ([' Treactor_final= ',  num2str(T(end)),' K', ... 
    '  Tjacket_final= ', num2str(Tj(end)), ' K '])
    