clear all;
global DAB
% The mixture is air-propane
DAB=1.15e-5;
myi=0;
for z = 0:0.04:2;
    myi=myi+1;
    myj=0;
    zscaled=z/2;
for t = 0:300:15000;
    myj=myj+1;
    mysol(myj,myi)=myseries_10_8(zscaled,t);
end
end
z = 0:0.04:2;
t = 0:300:15000;
surf(z,t,mysol)
title('\bf \fontsize{14} Analytical Solution');
ylabel('\bf \fontsize{14} Time t, s');
xlabel('\bf \fontsize{14} Distance z, m');
zlabel('\bf \fontsize{14} y(z,t)');
figure
plot(z,mysol(1,:),'k-','LineWidth',2);
hold on;
plot(z,mysol(16,:),'ko','LineWidth',2);
plot(z,mysol(26,:),'k*','LineWidth',2);
plot(z,mysol(end,:),'k+','LineWidth',2);
title('\bf \fontsize{14} y(z) for Successive t Values');
xlabel('\bf \fontsize{14} Distance z, m');
ylabel('\bf \fontsize{14} y(z)');
hleg = legend('t=0 s','t=4500 s','t=7500 s','t=15000 s','Location','Best');